.ui-dialog .ui-dialog-content.registration-modal {
  padding: 0;
  overflow: hidden;
}

.ui-dialog:has(.registration-modal) .ui-widget-header {
  border: none;
}

.registration-modal .registration_panel_content {
  height: calc(100% - 50px);
  padding: 0;
  margin: 0;
  overflow: hidden;
  position: relative;
}

.registration-modal .registration_panel_buttons {
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 10px;
  height: 50px;
  padding: 0 10px;
  margin: 0;
  overflow: hidden;
}

.registration-modal .registration_tab {
  width: 100%;
  height: 45px;
  background-color: #fff;
  position: relative;
  overflow: hidden;
  padding: 0px 10px;
  display: flex;
  gap: 5px;
  align-items: end;
}

.registration-modal .registration_tab::after {
  content: '';
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: 0;
  left: 0;
  background-color: #e5e5e5;
}

.registration-modal .registration_tab button {
  background: transparent;
  float: left;
  outline: none;
  cursor: pointer;
  padding: 0 18px;
  transition: 0.3s;
  font-size: 14px;
  height: 40px;
  border: 1px solid transparent;
  border-radius: 4px 4px 0 0;
  z-index: 2;
}

.registration-modal .registration_tab button.active {
  border: 1px solid #e5e5e5;
  border-bottom-color: #fff;
}

.registration-modal .registration_tab button:hover {
  color: #666;
}

.registration-modal .registration_tabcontent {
  display: none;
  position: absolute;
  width: 100%;
  height: calc(100% - 45px);
  padding: 10px 25px;
  background: #fff;
  animation: fadeEffect .5s;
  overflow: auto;
  font-size: 14px;
}

.registration_tabcontent.active {
  display: flex;
  flex-direction: column;
}

.registration_tabcontent .rcc_field .uk-form-label {
  font-size: 12px;
}

.registration_tabcontent .rcc_field.required>.uk-form-label::after {
  content: '*';
  color: var(--red);
  padding: 0 5px;
}

.registration_tabcontent .rcc_table_block {
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
}

.registration_tabcontent .rcc_table_block>tbody>tr>td {
  vertical-align: bottom;
}

.registration_tabcontent .rcc_table_block>tbody>tr>td:nth-child(1) {
  width: 80%;
  max-width: 530px;
}

.registration_tabcontent .rcc_table_block>tbody>tr>td:nth-child(2) {
  display: flex;
  flex-direction: column;
  align-items: end;
  text-align: end;
}

.registration_tabcontent .rcc_field .base_documents_container,
.registration_tabcontent .rcc_field .doc_file_documents_container {
  border: 1px solid #e5e5e5;
  height: 40px;
  background: #fff;
  padding-right: 45px;
  display: flex;
  gap: 5px;
  align-items: center;
  overflow: auto;
  flex-wrap: wrap;
}

.registration_tabcontent .rcc_field .doc_file_documents_container {
  padding-right: 85px;
}

.registration_tabcontent .rcc_field .base_documents_container .base_document_block {
  border: 1px solid #7db5ee;
  background: #f0f8ff;
  display: flex;
  gap: 10px;
  height: 25px;
  align-items: center;
  width: max-content;
  padding-left: 5px;
  user-select: none;
  font-size: 12px;
}

.registration-modal .registration_sign_button {
  position: absolute;
  right: 20px;
  top: 10px;
}

.ui-dialog .ui-dialog-content.signlist_dialog_container {
  padding: 0;
  margin: 0;
  overflow: hidden;
}

.signlist_dialog_container .signlist_panel_content {
  position: absolute;
  width: calc(100% - 20px);
  height: calc(100% - 70px);
  top: 10px;
  left: 0;
  overflow: auto;
  margin: 0 10px;
}

.signlist_dialog_container .signlist_panel_buttons {
  position: absolute;
  width: 100%;
  height: 60px;
  overflow: hidden;
  bottom: 0;
  left: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  border-top: 1px solid #c4c4c4;
}

.sign_tablet {
  table-layout: fixed;
  font-size: 10pt;
  width: 100%;
  margin: 0;
}

.sign_table>thead>tr>th {
  vertical-align: middle;
  font-weight: bold;
  color: #444;
  text-transform: none !important;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid #E8E8E8;
  background: #FAFAFA;
  padding: 5px;
}

.sign_table>tbody>tr {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
  transition: .3s;
}

.sign_table>tbody>tr>td {
  min-width: 120px;
  padding: 5px;
  border: 1px solid #E8E8E8;
}

.sign_table>tbody>[selected],
.sign_table>tbody>tr:hover {
  background-color: #E6F7FF;
}

@media (min-width: 960px) {
  .registration_tabcontent.uk-form-horizontal .uk-form-label {
    width: 170px;
    margin-top: 0;
    float: left
  }

  .registration_tabcontent.uk-form-horizontal .uk-form-controls {
    margin-left: 175px;
  }
}

@keyframes fadeEffect {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
